## jxtray.dump
Class JxtXMLDumpStrategy

    java.lang.Object
      jxtray.dump.JxtDumpStrategy
          jxtray.dump.JxtXMLDumpStrategy

All Implemented Interfaces:
  java.lang.Runnable

public class JxtXMLDumpStrategy
extends JxtDumpStrategy

This class dump data in XML format.

Field Summary

Fields inherited from class jxtray.dump.JxtDumpStrategy
`_connection, _cpt, _filename, _finished, _lib, _listener, _output, _table, _thread`

Constructor Summary
`JxtXMLDumpStrategy(java.lang.String filename, DumperListener listener, java.sql.Connection connection, java.lang.String lib, java.lang.String table, WriterContext writer)`

Method Summary
`protected void` `dumpData()`
`protected void` `dumpStructure()`
`java.lang.String` `getName()`
`void` `run()`

Methods inherited from class jxtray.dump.JxtDumpStrategy
`dump, isFinished, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JxtXMLDumpStrategy

    public JxtXMLDumpStrategy(java.lang.String filename,
                              DumperListener listener,
                              java.sql.Connection connection,
                              java.lang.String lib,
                              java.lang.String table,
                              WriterContext writer)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `JxtDumpStrategy`

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `JxtDumpStrategy`

### dumpData

    protected void dumpData()

  Specified by:
    `dumpData` in class `JxtDumpStrategy`

### dumpStructure

    protected void dumpStructure()

  Specified by:
    `dumpStructure` in class `JxtDumpStrategy`